.page-goods {
  background-color: #f8f8f8;
}
.page-goods__goods-detail {
    padding-top: 10px;
}
.page-goods .van-cell {
    padding-left: 10px;
    padding-right: 10px;
}
.page-goods .van-sku-container .van-cell {
    padding-left: 15px;
    padding-right: 15px;
}


.swp {
  text-align: center;
}
.swp__item {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
            align-items: center;
}
.swp__img {
    display: inline;
    max-width: 100%;
}
.swp__play-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 55px;
    height: 55px;
    background-image: url(./images/play-video-icon.png);
    background-size: 55px 55px;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    text-indent: -999px;
}

/* color variables */
/* default colors */
.goods-header {
  position: relative;
  margin-bottom: 10px;
  background-color: #fff;
}

/* color variables */
/* default colors */
.activity-banner {
  position: relative;
  width: 100%;
  height: 40px;
  line-height: 40px;
  background-image: -webkit-linear-gradient(right, #ff6060, #f44);
  background-image: linear-gradient(to left, #ff6060, #f44);
}
.activity-banner__title {
    display: inline-block;
    padding: 0 10px;
    font-size: 16px;
    color: #fff;
}
.activity-banner__sub-title {
    float: right;
    padding-right: 10px;
    font-size: 16px;
    color: #fff;
    text-align: right;
}
.activity-banner__countdown {
    float: right;
    padding-right: 10px;
    font-size: 12px;
    color: #fff;
    text-align: right;
}
.activity-banner__countdown-desc--large {
      font-size: 16px;
}
.activity-banner .cap-countdown__day, .activity-banner .cap-countdown__hour, .activity-banner .cap-countdown__minute, .activity-banner .cap-countdown__second, .activity-banner .cap-countdown__ms {
      margin: 0;
      min-width: 15px;
      background-color: transparent;
      color: #fff;
      text-align: center;
}

/* color variables */
/* default colors */
.goods-title {
  padding: 10px 10px 0;
}
.goods-title__main {
    display: inline;
    font-size: 16px;
    line-height: 22px;
    text-align: left;
    word-break: break-all;
    word-wrap: break-word;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.goods-title__tag {
    position: relative;
    top: -1px;
    display: inline-block;
    padding: 0 5px;
    margin-right: 10px;
    line-height: 20px;
    background: #fa3232;
    font-size: 10px;
    color: #fff;
    border-radius: 2px;
}
.goods-title__sub {
    margin-top: 6px;
    font-size: 13px;
    color: #999;
    line-height: 18px;
}


/* color variables */
/* default colors */
.goods-price {
  padding: 10px;
  text-align: left;
}
.goods-price__current {
    display: inline-block;
    margin-right: 5px;
    vertical-align: middle;
    font-size: 14px;
    color: #f44;
}
.goods-price__current span {
      display: inline-block;
      vertical-align: middle;
      font-size: 16px;
}
.goods-price__current-price-text {
    display: inline-block;
    vertical-align: middle;
    font-size: 18px;
}
.goods-price__retail-logo {
    display: inline-block;
    margin: 3px 5px 0 0;
    padding: 3px;
    line-height: 14px;
    background-color: #38f;
    border-radius: 2px;
    font-size: 12px;
    color: #fff;
    text-align: center;
}
.goods-price__origin-price-text {
    display: block;
    margin-top: 5px;
    vertical-align: middle;
    font-size: 12px;
    color: #999;
    text-decoration: line-through;
}


/* color variables */
/* default colors */
.goods-stock {
  position: relative;
  padding: 0 10px;
  line-height: 12px;
  background-color: #fff;
  font-size: 12px;
  color: #999;
}
.goods-stock__postage {
    display: inline-block;
}
.goods-stock .van-col {
    padding: 10px 0
}
.goods-stock .van-col:nth-child(2) {
  text-align: center;
}
.goods-stock .van-col:nth-child(3) {
  text-align: right;
}

/* color variables */
/* default colors */
.promotion-block {
  margin-right: 10px;
  padding: 8px 0;
  line-height: 1.5;
}
.promotion-block__content {
    position: relative;
    padding: 0 15px 0 10px;
    vertical-align: middle;
}
.promotion-block__icon {
    position: absolute;
    top: 8px;
    right: 0;
    font-size: 12px;
    color: #999;
}
.promotion-block__icon--down {
      -webkit-transform: rotate(90deg);
              transform: rotate(90deg);
}
.promotion-block .van-tag {
    margin-right: 5px;
}
.promotion-block__tip {
    vertical-align: middle;
    color: #666;
    font-size: 12px;
}
.promotion-block__tip a {
      color: #07d;
}
.promotion-block__link {
    color: #07d;
}
.promotion-block__popup {
    border-radius: 4px;
    width: 90%;
    max-width: 320px;
}
.promotion-block-ellipsis {
  overflow : hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

/* color variables */
/* default colors */
.virtual-ticket {
  position: relative;
  padding: 12px 10px;
  line-height: 16px;
  background-color: #fff8f2;
  font-size: 12px;
}
.virtual-ticket__tip {
    position: absolute;
    top: 50%;
    right: 10px;
    margin-top: -28px;
    line-height: 56px;
    color: #38f;
}
.virtual-ticket__popup {
    padding: 10px;
    line-height: 20px;
    max-height: 350px;
    min-height: 50px;
    overflow-y: auto;
    font-size: 14px;
    color: #333;
}

/* color variables */
/* default colors */
.guarantee-bar {
  position: relative;
  display: block;
  height: 36px;
  line-height: 36px;
  padding-left: 10px;
  background-color: #fff;
  vertical-align: middle;
  overflow: hidden
}
.guarantee-bar::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 200%;
  -webkit-transform: scale(.5);
          transform: scale(.5);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  pointer-events: none;
  box-sizing: border-box;
  border-top: 1px solid #e5e5e5;
  left: 10px;
}
.guarantee-bar--1 .guarantee-bar__text {
      color: #06bf04;
}
.guarantee-bar--2 {
    background-image: -webkit-linear-gradient(left, #06bf04, #6ccb21, #06bf04);
    background-image: linear-gradient(to right, #06bf04, #6ccb21, #06bf04);
}
.guarantee-bar--2 .guarantee-bar__text {
      color: #fff;
      opacity: 0.8;
}
.guarantee-bar__logo {
    vertical-align: middle;
    height: 16px;
}
.guarantee-bar__text {
    padding-left: 10px;
    line-height: 12px;
    font-size: 12px;
    color: #666;
}


.goods-bar-group {
  margin: 10px 0;
}

/* color variables */
/* default colors */
.van-cell__title em {
      font-size: 12px;
      color: #666;
}
.van-cell__text > em {
      font-size: 12px;
      color: #666;
}

/* color variables */
/* default colors */
.goods-popup {
  margin-bottom: 20px;
}
.goods-popup__header {
    position: relative;
    height: 44px;
    line-height: 44px;
    text-align: center
}
.goods-popup__header::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 200%;
  -webkit-transform: scale(.5);
          transform: scale(.5);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  pointer-events: none;
  box-sizing: border-box;
  border-bottom: 1px solid #e5e5e5;
}
.goods-popup__header-title {
      line-height: 44px;
      font-size: 16px;
      color: #333;
}
.goods-popup__header .van-icon {
      position: absolute;
      top: 12px;
      right: 15px;
      font-size: 20px;
}

/* color variables */
/* default colors */
.goods-shop {
  overflow: hidden;
}
.goods-shop__logo {
    float: left;
    width: 50px;
    height: 50px;
}
.goods-shop__content {
    position: absolute;
    top: 50%;
    left: 70px;
    right: 0;
    padding-right: 10px;
    min-height: 50px;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
}
.goods-shop__content--no-desc .goods-shop__top {
        position: absolute;
        top: 50%;
        left: 0;
        width: 100%;
        box-sizing: border-box;
        -webkit-transform: translateY(-50%);
                transform: translateY(-50%);
}
.goods-shop__title {
    display: inline-block;
    margin-right: 5px;
    font-size: 14px;
    color: #111;
}
.goods-shop__tags {
    display: inline-block;
}
.goods-shop__tag {
    margin-left: 5px;
    vertical-align: middle;
    word-break: keep-all
}
.goods-shop__tag:first-child {
  margin-left: 0;
}
.goods-shop__icon {
    position: absolute;
    top: 7px;
    right: 10px;
    font-size: 12px;
    color: #999;
}
.goods-shop__desc {
    margin-top: 3px;
    line-height: 16px;
    font-size: 12px;
    color: #999;
}


.offline-shop-info::after {
    border-bottom-width: 0!important;
}

/* color variables */
/* default colors */
.goods-certification {
  position: relative;
  padding-top: 0;
  line-height: 1.5;
  font-size: 12px;
  color: #666;
}
.goods-certification__item {
    padding-right: 16px;
    white-space: nowrap;
}
.goods-certification__txt {
    display: inline-block;
    vertical-align: middle;
    padding-left: 3px;
}
.goods-certification .van-icon-passed {
    vertical-align: middle;
    font-size: 12px;
}


.goods-detail {
  margin-top: 10px;
}


.goods-detail-tab .van-tabs__wrap::after {
    border-width: 0;
}


.shop-closed {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  padding: 12px 15px 13px;
  background: #fff7cc;
  box-sizing: border-box;
  z-index: 100;
}
.shop-closed__icon {
    float: left;
    width: 64px;
    height: 45px;
}
.shop-closed__desc {
    margin: 4px 0 0 80px;
}
.shop-closed__desc--bottom {
      margin-top: 13px;
}
.shop-closed__title {
    line-height: 22px;
    font-size: 16px;
    font-weight: bold;
}
.shop-closed__detail {
    margin-top: 3px;
    line-height: 18px;
    font-size: 12px;
    color: #666;
}


.goods-bottom {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: #fff;
  z-index: 100;
}
.goods-bottom .van-goods-action {
    position: static;
}

/* color variables */
/* default colors */
.goods-bottom-bar {
  margin: 0;
  min-height: 35px;
  line-height: 35px;
  background: #fff7cc;
  font-size: 12px;
  color: #f85;
  text-align: center;
}
.goods-bottom-bar--fcode > a {
    color: #38f;
}
.goods-bottom-bar__countdown {
    font-size: 14px;
    color: #333;
}
.goods-bottom-bar__countdown .cap-countdown__day, .goods-bottom-bar__countdown .cap-countdown__hour, .goods-bottom-bar__countdown .cap-countdown__minute, .goods-bottom-bar__countdown .cap-countdown__second {
      padding: 0;
      line-height: 1.5;
      background-color: transparent;
      font-size: 14px;
      color: #f85;
}
.goods-bottom-bar__countdown .cap-countdown__time-text {
      line-height: 1.5;
      font-size: 14px;
}
.goods-bottom-bar--space-between {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
            justify-content: space-between;
    -webkit-box-align: center;
    -webkit-align-items: center;
            align-items: center;
    padding: 0 15px;
}
.goods-bottom-bar--space-between > span {
      display: -webkit-box;
      display: -webkit-flex;
      display: flex;
      -webkit-box-align: center;
      -webkit-align-items: center;
              align-items: center;
      color: #666;
}
.goods-bottom-bar--space-between .van-icon-arrow {
      -webkit-transform: scale(0.83);
              transform: scale(0.83);
}

/* color variables */
/* default colors */
.goods-buttons::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 200%;
    -webkit-transform: scale(.5);
            transform: scale(.5);
    -webkit-transform-origin: 0 0;
            transform-origin: 0 0;
    pointer-events: none;
    box-sizing: border-box;
    border-bottom: 1px solid #e5e5e5;
}
.goods-buttons__mini {
    position: relative;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
}
.goods-buttons__mini .van-modal {
      background-color: transparent;
}
.goods-buttons__mini .van-info {
      top: -.3em;
      width: .8em;
      height: .8em;
      padding: 0;
      min-width: 0;
      border-radius: 50%;
      text-indent: -9999px;
}
.goods-buttons .goods-buttons--disabled {
    background-color: #e5e5e5!important;
    border-color: #e5e5e5!important;
    color: #999!important;
}
.goods-buttons .van-goods-action-mini-btn {
    min-width: auto;
}
.goods-buttons .goods-buttons__mini--1, .goods-buttons .goods-buttons__mini--2 {
    width: 70px;
}
.goods-buttons .goods-buttons__mini--3, .goods-buttons .goods-buttons__mini--4 {
    width: 48px;
}
@media screen and (max-width: 320px) {
.goods-buttons .goods-buttons__mini--1, .goods-buttons .goods-buttons__mini--2 {
      width: 60px;
}
.goods-buttons .goods-buttons__mini--3, .goods-buttons .goods-buttons__mini--4 {
      width: 43px;
}
}

/* color variables */
/* default colors */
.van-sku__goods-name {
    font-size: 14px;
}
.van-sku__goods-price .van-tag {
      margin-left: 5px;
}
.van-sku__price-label {
    vertical-align: middle;
    font-size: 12px;
}
.van-sku__price-tag {
    padding: 0 5px;
    margin-left: 5px;
    line-height: 16px;
    font-size: 10px;
    border-radius: 2px;
    vertical-align: middle;
    color: #f44;
    border: 1px solid #f44;
}
.van-sku__origin-price {
    display: block;
    margin: 5px 0 0 2px;
    font-size: 10px;
    line-height: 12px;
    color: #999;
    text-decoration: line-through;
    vertical-align: middle;
}
/* FIXME 等vant sku组件修复去除这段代码 */
.van-sku-messages .van-field__body {
      height: 100%;
}
.van-sku-messages .van-field__body .van-field__control {
        height: 100%;
}
.van-sku-body input[type='date'], .van-sku-body input[type='time'], .van-sku-body input[type='datetime-local'] {
      background-color: #fff;
}
.van-sku-img-uploader__img {
    text-align: center;
}

/* color variables */
/* default colors */
.login__popup {
    padding: 15px;
}
.login__header {
    margin-bottom: 10px;
    width: 270px;
    text-align: center;
}
.login__header > h2 {
      position: relative;
      padding-bottom: 16px;
      line-height: 16px;
      font-size: 16px;
      color: #06bf04
}
.login__header > h2::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 200%;
    height: 200%;
    -webkit-transform: scale(.5);
            transform: scale(.5);
    -webkit-transform-origin: 0 0;
            transform-origin: 0 0;
    pointer-events: none;
    box-sizing: border-box;
    border-bottom: 1px solid #e5e5e5;
}


/* color variables */
/* default colors */
.goods-price-intro {
  position: relative;
  box-sizing: border-box;
  margin: 0 15px;
  height: 60px;
  font-size: 12px;
  color: #333
}
.goods-price-intro::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 200%;
  -webkit-transform: scale(.5);
          transform: scale(.5);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  pointer-events: none;
  box-sizing: border-box;
  border-top: 1px solid #e5e5e5;
  top: 30px;
}
.goods-price-intro__title {
    position: absolute;
    left: 50%;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
            align-items: center;
    margin: 20px 0;
    width: 68px;
    height: 19px;
    background: #f8f8f8;
    font-size: 10px;
    text-align: center;
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
    box-shadow: 0 0 0 10px #f8f8f8;
    z-index: 2
}
.goods-price-intro__title::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 200%;
  -webkit-transform: scale(.5);
          transform: scale(.5);
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  pointer-events: none;
  box-sizing: border-box;
  border-top: 1px solid #e5e5e5;
  border-right: 1px solid #e5e5e5;
  border-bottom: 1px solid #e5e5e5;
  border-left: 1px solid #e5e5e5;
  border-radius: 29px;
}
.goods-price-intro__icon {
    font-size: 10px;
    color: #999;
    -webkit-transform: scale(.6);
            transform: scale(.6);
}
.goods-price-intro__block {
    margin-bottom: 10px;
    padding: 0 15px;
    line-height: 16px;
    color: #999;
}
.goods-price-intro__block-top {
      margin-top: 20px;
}
.goods-price-intro__block--small {
      font-size: 10px;
}
.goods-price-intro__text {
    line-height: 20px;
    font-size: 12px;
    color: #333;
}
